{ self, inputs, ... }:
{
  flake = {
    nixosConfigurations.minimal = inputs.nixpkgs.lib.nixosSystem {
      modules = [];
    };

    nixosModules.minimalConfig = { config, pkgs, inputs, ... }: {
      networking = {
        hostName = "minimal";
        networkmanager = {
          enable = true;
        };
      };

      services = {
        pipewire = {
          enable = true;
          alsa = {
            enable = true;
            support32Bit = true;
          };
          pulse = {
            enable = true;
          };
        };
      };

      users = {
        users = {
          violeta = {
            isNormalUser = true;
            description = "Violeta Enache";
            shell = pkgs.zsh;
            extraGroups = [ "networkmanager" "wheel" "video" "render" ];
          };
        };
      };

      home-manager = {
        useGlobalPkgs = true;
        users = {
          "violeta" = self.homeModules.comonHomeConfig;
        };
      };

      environment = {
        systemPackages = with pkgs; [
          thunderbird
        ];
      };

      system = {
        stateVersion = "24.11";
      };

    };
  };
}
